--- configure.ac.orig	2023-08-26 21:19:36
+++ configure.ac	2023-08-26 21:22:51
@@ -507,7 +507,7 @@
 # Checks for required libraries
 ###############################
 
-PKG_CHECK_MODULES(BABL, babl >= babl_required_version)
+PKG_CHECK_MODULES(BABL, babl-0.1 >= babl_required_version)
 
 GLIB_PACKAGES="gobject-2.0 gmodule-2.0 gio-2.0 json-glib-1.0"
 # select platform-specific GIO
@@ -646,6 +646,17 @@
 fi
 AM_CONDITIONAL(HAVE_DOT, test "x$have_dot" = "xyes")
 
+dnl Override standard python locations with MacPorts version specific ones
+
+AC_SUBST([PYTHON_PREFIX], [`$PYTHON -c 'import sys; print(sys.prefix);'`])
+AC_SUBST([PYTHON_EXEC_PREFIX], [`$PYTHON -c 'import sys; print(sys.exec_prefix)'`])
+
+am_cv_python_pythondir=$PYTHON_PREFIX/lib/python$PYTHON_VERSION/site-packages
+am_cv_python_pyexecdir=$PYTHON_EXEC_PREFIX/lib/python$PYTHON_VERSION/site-packages
+
+AC_SUBST([pythondir], [$am_cv_python_pythondir])
+AC_SUBST([pyexecdir], [$am_cv_python_pyexecdir])
+
 #################
 # Check for Python (optional, used for introspection unittests)
 #################
@@ -1106,7 +1117,7 @@
                 [Define to 1 if the spiro library is available])
       LIBSPIRO='-lspiro',
       spiro_ok="no  (Can't include spiro.h)",
-      [#include <bezctx_intf.h>])
+      [#include <bezctx.h>])
   fi
 fi
 
